FROM python:3.12.3-alpine3.20
RUN apk update
RUN apk add git
WORKDIR /srv
RUN pip install --upgrade pip
RUN pip install flask Flask-SQLAlchemy requests
RUN pip install gunicorn
RUN pip install python-dotenv
RUN pip install git+https://github.com/maxcountryman/flask-seasurf@f383b48
RUN pip install git+https://github.com/joostrijneveld/flaskoidc.git
RUN pip install python-dateutil
COPY . /srv
ENV FLASK_APP=app
EXPOSE 5000
CMD ["gunicorn", "-w", "4", "app:app", "-b", "0.0.0.0:5000"]
